summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorZac Medico <zmedico@gentoo.org>2018-07-31 15:46:59 -0700
committerZac Medico <zmedico@gentoo.org>2018-07-31 15:52:53 -0700
commitad00fcb37f0e851f85cfd0fba73b36fd3a6169c3 (patch)
tree0b8b2743acde48594d7f0c6db59dbd6b758e8506 /dev-python/python-cstruct
parentdev-libs/boost: Unkeyworded version bump to 1.67.0 (bug #653878) (diff)
downloadgentoo-ad00fcb37f0e851f85cfd0fba73b36fd3a6169c3.tar.gz
gentoo-ad00fcb37f0e851f85cfd0fba73b36fd3a6169c3.tar.bz2
gentoo-ad00fcb37f0e851f85cfd0fba73b36fd3a6169c3.zip
dev-python/python-cstruct: new package
Package-Manager: Portage-2.3.44, Repoman-2.3.10
Diffstat (limited to 'dev-python/python-cstruct')
-rw-r--r--dev-python/python-cstruct/Manifest1
-rw-r--r--dev-python/python-cstruct/metadata.xml11
-rw-r--r--dev-python/python-cstruct/python-cstruct-1.7.ebuild25
3 files changed, 37 insertions, 0 deletions
diff --git a/dev-python/python-cstruct/Manifest b/dev-python/python-cstruct/Manifest
new file mode 100644
index 00000000000..55d7d96d000
--- /dev/null
+++ b/dev-python/python-cstruct/Manifest
@@ -0,0 +1 @@
+DIST cstruct-1.7.tar.gz 8768 BLAKE2B 9b66c1cadb5c32965fe29de4e1f3bf2a3f00695d3c6ced4cf28dc85d8580b7fbad626633f9672e25521e5e2fde93049a953c6fe089fb154aa51c82f080427121 SHA512 c3a612ec4c5778801a9d506a49b8817b56fb99e1788c4894ce753178aa4472cedff3b842fe1f40a925e76efbf737166384c279ed0f697655d6ea8d5f1581973a
diff --git a/dev-python/python-cstruct/metadata.xml b/dev-python/python-cstruct/metadata.xml
new file mode 100644
index 00000000000..7570280ec6e
--- /dev/null
+++ b/dev-python/python-cstruct/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>zmedico@gentoo.org</email>
+ </maintainer>
+ <upstream>
+ <remote-id type="github">andreax79/python-cstruct</remote-id>
+ <remote-id type="pypi">cstruct</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-python/python-cstruct/python-cstruct-1.7.ebuild b/dev-python/python-cstruct/python-cstruct-1.7.ebuild
new file mode 100644
index 00000000000..942424ff8aa
--- /dev/null
+++ b/dev-python/python-cstruct/python-cstruct-1.7.ebuild
@@ -0,0 +1,25 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6,7} )
+
+inherit distutils-r1
+
+MY_PN=${PN#python-}
+MY_P=${MY_PN}-${PV}
+DESCRIPTION="C-style structs for Python"
+HOMEPAGE="https://github.com/andreax79/python-cstruct https://pypi.org/project/cstruct/"
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+S=${WORKDIR}/${MY_P}
+
+DOCS=( README.md )
+
+python_test() {
+ esetup.py test || die "tests failed under ${EPYTHON}"
+}